@import url("../styles/nopop.css");
@import url("../styles/anim.css");
@import url("../form/form_root.css");

/* pre load font */
@font-face {
    font-family: Prompt;
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/prompt/v10/-W__XJnvUD7dzB2KdNodVkI.woff2) format('woff2');
    unicode-range: U+0E01-0E5B, U+200C-200D, U+25CC
}

@font-face {
    font-family: Prompt;
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url("https://fonts.gstatic.com/s/prompt/v10/-W_8XJnvUD7dzB2C2_8IfWMuQ5Q.woff2") format('woff2');
    unicode-range: U+0E01-0E5B, U+200C-200D, U+25CC
}

* {
    font-family: Prompt, Arial, sans-serif
}

/* pre-set element */
a {
    text-decoration: none;
    color: var(--button-bg);
}

a:hover {
    text-decoration: underline
}

/* 
header {
    color: var(--header-text)
} */

#theme-display {
    display: flex;
    align-items: center
}

#theme-display::before {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    background-image: url('./img/light.svg');
    background-size: cover;
    margin-right: 5px
}

#theme-display::after {
    content: ""
}

/* check-box pre color (cuz lazy to apply each color) */
.checkbox-container {
    position: relative;
    display: inline-block;
    cursor: pointer;
    font-size: 14px;
    color: var(--text-color);
    padding-left: 30px;
    line-height: 20px
}

.checkbox-container input {
    opacity: 0;
    width: 0;
    height: 0
}

.copy {
    color: var(--bg-color) !important;
}

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: var(--form-input-bg);
    border: 2px solid var(--form-input-border);
    border-radius: 4px;
    transition: background-color .3s, border-color .3s, transform .3s
}

.checkbox-container input:checked+.checkmark {
    background-color: var(--button-bg);
    border-color: var(--button-bg);
    transform: scale(1.2)
}

.checkmark:after {
    content: "";
    position: absolute;
    display: none
}

.checkbox-container input:checked+.checkmark:after {
    display: block;
    left: 7px;
    top: 3px;
    width: 5px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg)
}

/* scroll bar */
::-webkit-scrollbar {
    width: 12px
}

::-webkit-scrollbar-thumb {
    background-color: var(--scrollbar-thumb-bg);
    border-radius: 10px;
    transition: background-color .3s, border-radius .3s
}

::-webkit-scrollbar-thumb:hover {
    background-color: var(--scrollbar-thumb-hover-bg);
    border-radius: 15px
}

/* (dark mode) color 
@media (prefers-color-scheme:dark) {
    :root {
        --bg-color: #0e1011;
        --text-color: #cfcac2;
        --header-bg: linear-gradient(to right, #004da6, #001e3e);
        --header-text: #cfcac2;
        --container-bg: rgba(18, 21, 22, 0.95);
        --form-label-border: #046c9d;
        --form-input-border: #161616;
        --form-input-bg: #0b0b0b;
        --form-input-text: #cfcac2;
        --form-input-focus-border: #13729d;
        --form-input-focus-shadow: rgba(26, 103, 204, 0.5);
        --button-bg: #046c9d;
        --button-hover-bg: #1a66cc;
        --error-color: #b80000;
        --confirmation-bg: #0e1011;
        --confirmation-border: #0e1011;
        --confirmation-confirm-bg: #1a6d1d;
        --confirmation-red-bg: #a31220;
        --popup-bg: #16191b;
        --popup-button-bg: #046c9d;
        --popup-button-hover-bg: #1a66cc;
        --popup-red-button-bg: #a31220;
        --popup-red-button-hover-bg: #a31220;
        --popup-icon-color: #1a6d1d;
        --cookie-text: #e58f2b;
        --scrollbar-thumb-bg: rgba(255, 255, 255, 0.3);
        --scrollbar-thumb-hover-bg: rgba(255, 255, 255, 0.5)
    }

    set on dark element
    #theme-display::before {
        background-image: url('./img/dark.svg')
    }

    #theme-display::after {
        content: ""
    }

    .checkbox-container {
        color: var(--text-color)
    }

    .checkmark {
        background-color: var(--form-input-bg);
        border: 2px solid var(--form-input-border)
    }

    .checkbox-container input:checked+.checkmark {
        background-color: var(--button-bg);
        border-color: var(--button-bg)
    }

    a {
        color: var(--button-bg)
    }
}
*/

/* normal element */
.footer p span body {
    background-color: var(--bg-color) !important;
    color: var(--text-color) !important;
    margin: 0;
    padding: 0;
    overflow-x: hidden
}

/* header {
    background: var(--header-bg) !important;
    padding: 6px;
    text-align: center;
    animation: .3s ease-out slideIn
}

header h1:after {
    content: '';
    display: block;
    width: 60px;
    height: 4px;
    background-color: var(--header-text);
    margin: 5px auto 0
} */

.container {
    background-color: var(--container-bg);
    max-width: 800px;
    margin: 20px auto;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
    animation: .2s ease-out fadeIn
}

.container-noStyle {
    background-color: transparent;
    box-shadow: none;
    border-radius: none;
}

.spinner {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: 1s linear infinite spin;
    margin: 10px auto 0
}

.loading-progress-container {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 1050;
}

.progress {
    background-color: rgba(0, 0, 0, 0.1);
    border-radius: 0;
    margin: 0;
}

.progress-bar {
    transition: width 0.4s ease-in-out;
}

.progress-bar-striped {
    background-image: linear-gradient(45deg,
            rgba(255, 255, 255, 0.15) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.15) 50%,
            rgba(255, 255, 255, 0.15) 75%,
            transparent 75%,
            transparent);
    background-size: 1rem 1rem;
}

.progress-bar-animated {
    animation: progress-bar-stripes 1s linear infinite;
}

@keyframes progress-bar-stripes {
    0% {
        background-position: 1rem 0;
    }

    100% {
        background-position: 0 0;
    }
}

.cookie::before {
    color: var(--cookie-text);
    content: "คุกกี้"
}

#accept-terms {
    background-color: #0000
}

/* very genies hidden element (lol) */
.hidden {
    visibility: hidden;
    display: hidden
}

/* all form group */
.form-group {
    margin-bottom: 15px;
    animation: .2s ease-out slideIn
}

.form-group label {
    border-left: 4px solid var(--form-label-border);
    padding-left: 10px;
    margin-bottom: 10px;
    font-weight: 700
}

.form-group input,
.form-group select,
.form-group textarea {
    width: 100%;
    padding: 8px;
    border-radius: 4px;
    border: 1px solid var(--form-input-border);
    background-color: var(--form-input-bg);
    color: var(--form-input-text);
    outline: 0
}

.form-group button,
.popup button {
    padding: 10px 20px;
    font-size: 16px
}

.form-group button {
    background-color: var(--button-bg);
    cursor: pointer
}

.form-group input:focus,
.form-group select:focus,
.form-group textarea:focus {
    border-color: var(--form-input-focus-border);
    box-shadow: 0 0 5px var(--form-input-focus-shadow)
}

.form-group textarea {
    resize: vertical;
    height: 100px
}

.form-group button {
    color: #fff;
    border: none;
    border-radius: 4px;
    transition: background-color .3s
}

.form-group button:hover {
    background-color: var(--button-hover-bg)
}

.inline-fields {
    display: flex;
    gap: 10px;
    align-items: center
}

.inline-fields input {
    flex: 1;
    max-width: 95%
}

.report-section {
    display: none;
    animation: .2s ease-out slideIn;
}

h2 {
    font-weight: bold;
}

h2::before {
    content: "รายงาน";
    font-weight: normal;
}

.error {
    color: var(--error-color);
    font-size: .9em;
    display: block;
    margin-top: 5px
}

/* the tooltip that do (❔) */
.help-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 20px;
    height: 20px;
    top: -2px;
    color: #fff;
    font-size: 14px;
    cursor: help;
    margin-left: 5px;
    transition: .3s;
    position: relative;
}

.footer,
.popup-overlay {
    width: 100%;
    position: fixed
}

.help-icon:hover {
    box-shadow: 0 2px 10px rgba(0, 0, 0, .1);
}

.help-text {
    display: none;
    position: absolute;
    background-color: var(--popup-bg);
    border: 1px solid var(--popup-bg);
    padding: 10px;
    border-radius: 5px;
    max-width: 300px;
    z-index: 1000;
    box-shadow: 0 2px 10px rgba(0, 0, 0, .3);
    font-size: 14px;
    line-height: 1.4;
    color: var(--text-color);
    transition: opacity .3s, transform .3s;
    opacity: 0;
    transform: translateY(-10px)
}

.help-icon::after {
    content: "\f059";
    font-family: "Font Awesome 6 Free";
    color: var(--text-color);
    margin-left: 5px;
    font-size: 20px;
}

.help-icon:focus+.help-text,
.help-icon:hover+.help-text {
    display: block;
    opacity: 1;
    transform: translateY(0);
    animation: .3s forwards fadeIn
}


input.error,
select.error,
textarea.error {
    border: 2px solid var(--error-color);
    animation: .3s shake
}

input.error:focus,
select.error:focus,
textarea.error:focus {
    border: 2px solid var(--error-color);
    box-shadow: 0 0 5px rgba(235, 52, 52, .5)
}

.footer {
    color: #323232;
    text-align: center;
    padding: 10px 0;
    bottom: 0
}

#confirmation,
.popup {
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1)
}

.footer .container {
    max-width: 40%;
    margin: 0 auto;
    padding: 0 15px
}

.link {
    color: #0a3662 !important;
    transition: all .3s ease-in-out;
}

.link:hover {
    text-decoration: underline;
    filter: brightness(1.2) !important;
}

.footer p {
    margin: 0
}

/* confirmation ~box~ */
#confirmation {
    display: none;
    background-color: var(--confirmation-bg);
    border: 1px solid var(--confirmation-border);
    border-radius: 8px
}

#confirmation button {
    margin: 5px;
    border: none;
    border-radius: 4px;
    cursor: pointer
}

#confirmation button.confirm {
    background-color: var(--confirmation-confirm-bg);
    color: #fff
}

#confirmation button.red {
    background-color: var(--confirmation-red-bg);
    color: #fff
}

#confirmation button.confirm:hover {
    background-color: darken(var(--confirmation-confirm-bg), 10%)
}

#confirmation button.red:hover {
    background-color: darken(var(--confirmation-red-bg), 10%)
}

#confirmation button.warn:hover {
    background-color: darken(var(--cookie-text), 10%)
}

/* full name suggestions-box */
.suggestions-box {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    list-style-type: none;
    padding: 0;
    margin-top: 5px;
    border: 1px solid var(--form-input-border);
    max-height: 150px;
    overflow-y: auto;
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    position: absolute;
    color: var(--text-color);
    background-color: var(--popup-bg);
    width: 300px;
    z-index: 1000;
}

.suggestions-box.show {
    display: block;
    opacity: 1;
}

.suggestions-box.hide {
    display: block;
    opacity: 0;
    visibility: hidden;
}

.suggestions-box li {
    padding: 8px;
    cursor: pointer;
    transition: filter 0.3s ease, background-color 0.3s ease;
}

.suggestions-box li:hover {
    filter: brightness(120%);
    background-color: rgba(0, 0, 0, 0.1);
}

.suggestions-box li strong {
    color: var(--popup-button-hover-bg);
}

/* other element */
#important::before {
    content: '*';
    color: var(--error-color)
}

#image-preview {
    display: none;
    margin-top: 10px;
    max-width: 100%;
    max-height: 300px;
    border-radius: 3px;
    position: relative;
    box-shadow: 0 0 12px rgba(45, 45, 45, 0.5);
    z-index: 3;
    transition: scale .3s, top .3s, left .3s;
}

/* (!pc) device */
@media (max-width:480px) {
    .footer .container {
        font-size: 10px;
        max-width: 95%
    }

    .inline-fields {
        flex-direction: column;
        align-items: flex-start
    }

    .inline-fields input select {
        max-width: 100%;
        width: 100%
    }

    .notification-container {
        top: 5px;
        right: 5px;
        width: calc(100% - 80px);
    }

    /* header {
        font-size: 10px
    } */

    @keyframes fadeInBackground {
        from {
            backdrop-filter: blur(0px);
            background-color: rgba(0, 0, 0, 0)
        }

        to {
            backdrop-filter: blur(1.5px);
            background-color: rgba(0, 0, 0, .3)
        }
    }
}

/* ios thing */
@media (max-width:768px) {
    .help-text {
        position: fixed;
        left: 10px;
        right: 10px;
        bottom: 10px;
        max-width: none;
        transform: translateY(100%)
    }

    .help-icon:focus+.help-text,
    .help-icon:hover+.help-text {
        transform: translateY(0)
    }
}